<template>
    <!-- <div class="p-col p-px-3">
      <img alt="logo" src="../../../assets/ethereum.png" style="width: 48%"/>
    </div> -->
    <Button type="button" class="p-button-outlined p-button-success" v-on:click="changeSwapDirection()">
      <img alt="logo" src="../../../assets/ethereum.png" style="width: 2.5rem" />
      <span class="p-ml-2 p-text-bold">Ethereum</span>
    </Button>
</template>

<script>

export default {
    name: 'EthereumLogo',
    computed:{
    fromCosmosToEth(){
      return this.$store.state.fromCosmosToEth
    }
  },
  methods: {
    changeSwapDirection(){
      //when we click we change the value of the fromCosmosToEth boolean
      this.$store.commit('changeSwapDirection');
      //reset receiving address to null
      this.$store.commit('setReceivingAddress',null);

      //then we display correct elements according to swap direction choosed by user
      if(this.fromCosmosToEth == true) {
        this.selectedToken = "COS";        
        this.$toast.add({severity:'info', summary: 'Swap direction changed', detail:'Cosmos -> Ethereum', life: 2000});
      }
      else {
        this.selectedToken = "ETH";
        this.$toast.add({severity:'info', summary: 'Swap direction changed', detail:'Ethereum -> Cosmos', life: 2000});
      }
    }
  }
}
</script>

<style scoped>

</style>